Mobaro 1.0 Support

The Old Mobaro System - For Legacy Usage